<?php


namespace Schaffen\Financial\IntegrationGcred\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Freelabois\LaravelQuickstart\Interfaces\RepositoryInterface;
use Schaffen\Financial\IntegrationGcred\Repositories\IntegrationRepository;


class IntegrationManager extends ManipulationManager
{
      /**
     * @var IntegrationRepository
     */
    protected  $repository;


    public function __construct(IntegrationRepository $repository)
    {
        parent::__construct($repository);

    }

    public function getContractData($filters = []){
        return $this->repository->contractData($filters);
    }

    public function getInstallmentsData($filters = []){
        return $this->repository->installmentsData($filters);
    }
    
    public function getInstallmentsDataReceived($filters = []){
        return $this->repository->installmentsDataReceived($filters);
    }

    public function getLostContracts($filters = []){
        return $this->repository->lostContracts($filters);
    }

    public function getPersonData($filters = []){
        return $this->repository->personData($filters);
    }

    

    public function getDocuments(){
        $thispath = explode('\\', str_replace('/','\\', dirname(__FILE__)));
        array_pop($thispath);
        $caminho = '';
        foreach ($thispath as $value) {
            $caminho .= $value.'\\';
        }
        include $caminho.'index.html';
    }

    
}