<?php


namespace Schaffen\Financial\Payment\Models;


use Illuminate\Database\Eloquent\Model;

class PaymentMethod extends Model
{
    const STANDART_PAYMENT_METHOD = 1;

    protected $table = "financeiro.forma_pagamento_pagamento";
    protected $primaryKey = "fpg_codigo";
    protected $fillable = [
        "fpg_descricao", "fpg_status", "fpg_valor_moeda", "fpg_dados_adicionais", "fpg_fk_tdo_codigo",
        "fpg_tipo_pagamento", "fpg_visualiza_acerto", "fpg_equivalencia", "fpg_lanca_acerto", "fpg_acerto_editavel",
        "fpg_documento_acerto", "fpg_ordem",
    ];

    public $timestamps = false;
}