<?php


namespace Schaffen\Financial\Price\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Freelabois\LaravelQuickstart\Interfaces\RepositoryInterface;
use Schaffen\Financial\Price\Repositories\PriceRepository;

class PriceManager extends ManipulationManager
{
    public function __construct(PriceRepository $repository)
    {
        parent::__construct($repository);
    }

    public function buscarTabelaPreco($values){
        $preco = $this->repository->first(['tap_fk_fil_codigo' => $values, 'tap_padrao' => 1]);
        return $preco->tap_codigo;
    }
}